View Issue Details

IDProjectCategoryView StatusLast Update
0015798MediaMonkey 5FileMonitor / Find Missingpublic2021-08-06 16:51
Reporterlowlander Assigned To 
PriorityimmediateSeveritymajorReproducibilityalways
Status resolvedResolutionreopened 
Product Version5.0 
Target Version5.0.1Fixed in Version5.0.1 
Summary0015798: Rebuild Database results in loss of AutoPlaylist Criteria
DescriptionWhen using Rebuild Database AutoPlaylist Criteria like Artist and Genre loose their selected values (show nothing selected after rebuild).
TagsNo tags attached.
Fixed in build2431

Activities

Ludek

2019-06-27 11:17

developer   ~0053994

Fixed in 2184

peke

2019-07-01 19:25

developer   ~0054053

Verified 2185

Values are persistent now.

lowlander

2020-02-08 23:21

developer   ~0056588

Regression: https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=95911

Ludek

2020-02-10 17:21

developer   ~0056598

Not a regression, but the same issue exists also for custom collections (not only for auto-playlists).

Ludek

2020-02-10 20:50

developer   ~0056601

Fix for custom collections added in 2228

peke

2020-03-01 03:39

developer   ~0056962

Verified 2229

Ludek

2021-07-19 13:50

developer   ~0064254

Re-opened:
The original fix from 2184 works for auto-playlists created in MM5, but fails for auto-playlists created in MM4!

i.e.
1) create auto-playlist with criteria "album equals ..." in MM4
2) import this database to MM5
3) go to Manage database > [x] Rebuild database
=> the auto-playlist is empty after rebuild!

Ludek

2021-07-19 14:19

developer   ~0064255

Last edited: 2021-07-19 14:26

View 2 revisions

Fixed in 5.0.1.2426

Ludek

2021-07-20 09:49

developer   ~0064262

Last edited: 2021-07-20 10:38

View 4 revisions

Re-opened: The issue still isn't fully fixed (as found by Barry).

It's timing issue (some cached data not cleared after DB rebuilt).

Fixed in 2426

peke

2021-07-21 01:13

developer   ~0064267

Verified 2427

Left resolved til @barrym confirms.

barrym

2021-07-21 07:21

reporter   ~0064270

Checked 2427. Seems to be fixed. Was intermittent before. Now unable to trigger.

peke

2021-07-21 23:20

developer   ~0064271

Thank you Barry, Closing

Ludek

2021-07-27 08:42

developer   ~0064298

Last edited: 2021-07-27 09:21

View 2 revisions

Re-opened: This issue still appears on German translation and specific user DB. More details in ticket # 2230

In addition German translation incorrectly translates "Rebuild database" as "Optimize database (full)" -- which was the older MM4 option, we should contact German translator to fix this.

Ludek

2021-07-27 10:50

developer   ~0064303

Last edited: 2021-07-27 10:51

View 2 revisions

Fixed in 5.0.1.2430

Test note: Was specific to combination of the user DB + German translation. User provided the DB via the ticket.

Ludek

2021-07-28 17:58

developer   ~0064314

Last edited: 2021-07-28 18:53

View 2 revisions

Re-opened: There is still one issue when the translation is set to (non-english), e.g. German.
Auto-playlist that are defined as
Suche: [Musik] (Search: [Music])
results in
Suche: [Gesamtes Archiv] (Search: Entire library)
after DB rebuilt.

This seems related to #16564 where we introduced localized variants for collections.

Ludek

2021-07-28 18:53

developer   ~0064315

Fixed in 5.0.2.2500 and merged to 5.0.1.2431

rusty

2021-08-06 16:51

administrator   ~0064357

fyi, the 'Rebuild database' string has been translated in weblate, but a new set of strings hasn't been generated. We'll likely do that for 5.0.2.